Build #3 for netwire-input-glfw-0.0.11

[all reports]

Package netwire-input-glfw-0.0.11
Install DependencyFailed netwire-input-glfw-0.0.11
Docs NotTried
Tests NotTried
Time submitted 2020-03-14 13:52:56.080375273 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies GLFW-b-3.3.0.0, base-4.12.0.0, containers-0.6.0.1, deepseq-1.4.4.0, mtl-2.2.2, netwire-input-0.0.7, stm-2.5.0.0
Flags -examples

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     StateVar-1.2
Starting     bindings-DSL-1.0.25
Starting     cabal-doctest-1.0.8
Starting     base-orphans-0.8.2
Building     StateVar-1.2
Building     bindings-DSL-1.0.25
Building     cabal-doctest-1.0.8
Building     base-orphans-0.8.2
Completed    bindings-DSL-1.0.25
Starting     parallel-3.2.2.0
Completed    StateVar-1.2
Starting     random-1.1
Building     parallel-3.2.2.0
Building     random-1.1
Completed    cabal-doctest-1.0.8
Starting     semigroups-0.19.1
Building     semigroups-0.19.1
Completed    base-orphans-0.8.2
Starting     tagged-0.8.6
Completed    parallel-3.2.2.0
Starting     th-abstraction-0.3.2.0
Completed    semigroups-0.19.1
Starting     transformers-compat-0.6.5
Building     tagged-0.8.6
Building     th-abstraction-0.3.2.0
Building     transformers-compat-0.6.5
Completed    random-1.1
Starting     bindings-GLFW-3.3.2.0
Failed to install bindings-GLFW-3.3.2.0
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/bindings-GLFW-3.3.2.0-8AZqlgWpz4mH04GVn45ew8.log ):
cabal: Entering directory '/tmp/cabal-tmp-16993/bindings-GLFW-3.3.2.0'
Configuring bindings-GLFW-3.3.2.0...
cabal: Missing dependencies on foreign libraries:
* Missing (or bad) C libraries: Xi, Xrandr, Xcursor, Xinerama
This problem can usually be solved by installing the system packages that
provide these libraries (you may need the "-dev" versions). If the libraries
are already installed but in a non-standard location then you can use the
flags --extra-include-dirs= and --extra-lib-dirs= to specify where they are.If
the library files do exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-16993/bindings-GLFW-3.3.2.0'
Starting     contravariant-1.5.2
Building     contravariant-1.5.2
Completed    tagged-0.8.6
Completed    transformers-compat-0.6.5
Completed    th-abstraction-0.3.2.0
Completed    contravariant-1.5.2
cabal: Error: some packages failed to install:
GLFW-b-3.3.0.0-44mzRqZQNEX9YAwfg6fVXW depends on GLFW-b-3.3.0.0 which failed
to install.
bindings-GLFW-3.3.2.0-8AZqlgWpz4mH04GVn45ew8 failed during the configure step.
The exception was:
ExitFailure 1
netwire-input-glfw-0.0.11-enss4eAzl25CXkcuTilGM depends on
netwire-input-glfw-0.0.11 which failed to install.